---
layout: docs
page_title: list - Command
description: |-
  The "list" command lists data from Vault at the given path. This can be used
  to list keys in a, given secrets engine.
---

# list

The `list` command lists data from Vault at the given path (wrapper command for
HTTP LIST). This can be used to list keys in a given secrets engine.

## Examples

List available entities by their identifiers:

```shell-session
$ vault list identity/entity/id
```

## Usage

There are no flags beyond the [standard set of flags](/vault/docs/commands)
included on all commands.
